Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
1574 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs

  debian : install apache2 foiré, erreur à chaque apt-get maintenant

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

debian : install apache2 foiré, erreur à chaque apt-get maintenant

n°564389
chaica
Posté le 01-10-2004 à 07:31:35  profilanswer
 

Voila, mon install de apache2 a foiré (va savoir pourquoi) et maintenant j'ai des erreurs qui trainent à chaque apt-get install
 

Code :
  1. laptop:/home/chaica# apt-get install nano
  2. Lecture des listes de paquets... Fait
  3. Construction de l'arbre des dépendances... Fait
  4. nano est déjà la plus récente version disponible.
  5. 0 mis à jour, 0 nouvellement installés, 0 à enlever et 209 non mis à jour.
  6. 2 partiellement installés ou enlevés.
  7. Il est nécessaire de prendre 0o dans les archives.
  8. Après dépaquetage, 0o d'espace disque supplémentaires seront utilisés.
  9. Paramétrage de apache2-common (2.0.51-2) ...
  10. dpkg : erreur de traitement de apache2-common (--configure) :
  11. le sous-processus post-installation script a retourné une erreur de sortie d'état 1
  12. dpkg : des problèmes de dépendances empêchent la configuration de apache2-mpm-worker :
  13. apache2-mpm-worker dépend de apache2-common (= 2.0.51-2) ; cependant :
  14.   Paquet apache2-common n'est pas encore configuré.
  15. dpkg : erreur de traitement de apache2-mpm-worker (--configure) :
  16. problèmes de dépendances - laissé non configuré
  17. Des erreurs ont été rencontrées pendant l'exécution :
  18. aplaptop:/home/chaica# apt-get install nano
  19. Lecture des listes de paquets... Fait
  20. Construction de l'arbre des dépendances... Fait
  21. nano est déjà la plus récente version disponible.
  22. 0 mis à jour, 0 nouvellement installés, 0 à enlever et 209 non mis à jour.
  23. 2 partiellement installés ou enlevés.
  24. Il est nécessaire de prendre 0o dans les archives.
  25. Après dépaquetage, 0o d'espace disque supplémentaires seront utilisés.
  26. Paramétrage de apache2-common (2.0.51-2) ...
  27. dpkg : erreur de traitement de apache2-common (--configure) :
  28. le sous-processus post-installation script a retourné une erreur de sortie d'état 1
  29. dpkg : des problèmes de dépendances empêchent la configuration de apache2-mpm-worker :
  30. apache2-mpm-worker dépend de apache2-common (= 2.0.51-2) ; cependant :
  31.   Paquet apache2-common n'est pas encore configuré.
  32. dpkg : erreur de traitement de apache2-mpm-worker (--configure) :
  33. problèmes de dépendances - laissé non configuré
  34. Des erreurs ont été rencontrées pendant l'exécution :
  35. apache2-common
  36. apache2-mpm-worker
  37. E: Sub-process /usr/bin/dpkg returned an error code (1)
  38. apache2-mpm-worker
  39. E: Sub-process /usr/bin/dpkg returned an error code (1)


 
Comment est-ce que je me débarrase de ça? Merci d'avance.

mood
Publicité
Posté le 01-10-2004 à 07:31:35  profilanswer
 

n°564411
arghbis
salops de dauphins
Posté le 01-10-2004 à 09:41:10  profilanswer
 

faut que tu les vires (apt-get remove --purge => n'oublie pas de sauver tes fichiers de config modifiés le cas échéant)

n°589497
reunionf
http://www.sudoku.sonato.org
Posté le 12-11-2004 à 15:01:25  profilanswer
 

Salut,
 
j'ai eu le même soucis !
pas de solution ?
 
j'ai fait un --purge sans aucun effet
 
pour plus de détails,
je suis en DEbian Sarge et j'avais installé apache 1.3.31, ça tournait nickel et puis je me suis aperçu que la version apache2 était présente dans la version Sarge, donc
 
apt-get remove apache
apt-get install apache2
 
et j'ai la même erreur lorsque le système veut configuer apache2-common
 
merci pour vos lumières

n°589503
dofor
:F
Posté le 12-11-2004 à 15:06:15  profilanswer
 

apt-get remove --purge  apache2-common apache2-mpm-worker && apt-get install apache2
 
?
 
j'ai eu le même pb sur le serveur du forum à mon taf et ça a reglé le truc


---------------
カエル
n°589554
ishaor
Posté le 12-11-2004 à 15:48:55  profilanswer
 

apt-get -f install

n°596951
reunionf
http://www.sudoku.sonato.org
Posté le 27-11-2004 à 17:41:13  profilanswer
 

non en fait c'était le package sarge qui avait un bug. J'ai pris apache2 sur un autre serveur...backports.org
merci :hello:


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs

  debian : install apache2 foiré, erreur à chaque apt-get maintenant

 

Sujets relatifs
Impossible de charger les modules megaraid pour une LSI 320 (debian)installer linux débian via FTP avec un modem et pc???
[debian] installation packagepb install compilateur 3.4
[debian] installer un nouveau noyauDebian et carte réseau
Quel Bureau Linux sous debian pour debutant?[DEBIAN]Problème pour lancer Firefox
Xmms sous Debian Sidcolinux avec debian
Plus de sujets relatifs à : debian : install apache2 foiré, erreur à chaque apt-get maintenant


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR